Skip to main content
PUT
Update a validation rule for a specific property and rule type, allowing customization of property value constraints.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectTypeId
string
required

The unique identifier of the CRM object type to which the property belongs.

propertyName
string
required

The name of the property for which the validation rule is being updated.

ruleType
enum<string>
required

The type of validation rule to update. Valid values include FORMAT, ALPHANUMERIC, MAX_LENGTH, MIN_LENGTH, MIN_NUMBER, MAX_NUMBER, START_DATE, END_DATE, SPECIAL_CHARACTERS, WHITESPACE, DECIMAL, BEFORE_DURATION, AFTER_DURATION, DAYS_OF_WEEK, REGEX, START_DATETIME, END_DATETIME, BEFORE_DATETIME_DURATION, AFTER_DATETIME_DURATION, PHONE_NUMBER_WITH_EXPLICIT_COUNTRY_CODE, URL, URL_ALLOWED_DOMAINS, URL_BLOCKED_DOMAINS, EMAIL, EMAIL_ALLOWED_DOMAINS, EMAIL_BLOCKED_DOMAINS, DOMAIN.

Available options:
AFTER_DATETIME_DURATION,
AFTER_DURATION,
ALPHANUMERIC,
BEFORE_DATETIME_DURATION,
BEFORE_DURATION,
DAYS_OF_WEEK,
DECIMAL,
DOMAIN,
EMAIL,
EMAIL_ALLOWED_DOMAINS,
EMAIL_BLOCKED_DOMAINS,
END_DATE,
END_DATETIME,
FORMAT,
MAX_LENGTH,
MAX_NUMBER,
MIN_LENGTH,
MIN_NUMBER,
PHONE_NUMBER_WITH_EXPLICIT_COUNTRY_CODE,
REGEX,
SPECIAL_CHARACTERS,
START_DATE,
START_DATETIME,
URL,
URL_ALLOWED_DOMAINS,
URL_BLOCKED_DOMAINS,
WHITESPACE

Body

application/json
ruleArguments
string[]
required

A list of arguments that define the constraints for the validation rule.

shouldApplyNormalization
boolean

A boolean indicating whether normalization should be applied to the property value as part of the validation process.

Response

No content

Last modified on September 9, 2026